package com.ejie.aa20b.model;

import java.util.Date;

public class Fichatecnicosgmao implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idfichac;
	private Integer idficha;
	private Long idtecnico;
	private String guidfichatecgmao;
	private String estadoGmao;
	private Date fechaEstadoGmao;
	private Integer tiempoPausaGmao;
	private String pausaAutoGmao;
	private String guidpartepadreayuda;
	private String guidparteseguido;

	/**
	 * Method 'Fichatecnicos'.
	 */
	public Fichatecnicosgmao() {
	}

	public Fichatecnicosgmao(Integer idfichatec, Integer idficha,
			Long idtecnico, String guidfichatecgmao, String estadoGmao,
			Date fechaEstadoGmao, Integer tiempoPausaGmao,
			String pausaAutoGmao, String guidpartepadreayuda,
			String guidparteseguido) {
		this.idfichac = idfichatec;
		this.idficha = idficha;
		this.idtecnico = idtecnico;
		this.guidfichatecgmao = guidfichatecgmao;
		this.estadoGmao = estadoGmao;
		this.fechaEstadoGmao = fechaEstadoGmao;
		this.tiempoPausaGmao = tiempoPausaGmao;
		this.pausaAutoGmao = pausaAutoGmao;
		this.guidpartepadreayuda = guidpartepadreayuda;
		this.guidparteseguido = guidparteseguido;

	}

	public Integer getIdfichac() {
		return idfichac;
	}

	public void setIdfichac(Integer idfichac) {
		this.idfichac = idfichac;
	}

	public Integer getIdficha() {
		return idficha;
	}

	public void setIdficha(Integer idficha) {
		this.idficha = idficha;
	}

	public Long getIdtecnico() {
		return idtecnico;
	}

	public void setIdtecnico(Long idtecnico) {
		this.idtecnico = idtecnico;
	}

	public String getGuidfichatecgmao() {
		return guidfichatecgmao;
	}

	public void setGuidfichatecgmao(String guidfichatecgmao) {
		this.guidfichatecgmao = guidfichatecgmao;
	}

	public String getEstadoGmao() {
		return estadoGmao;
	}

	public void setEstadoGmao(String estadoGmao) {
		this.estadoGmao = estadoGmao;
	}

	public Date getFechaEstadoGmao() {
		return fechaEstadoGmao;
	}

	public void setFechaEstadoGmao(Date fechaEstadoGmao) {
		this.fechaEstadoGmao = fechaEstadoGmao;
	}

	public Integer getTiempoPausaGmao() {
		return tiempoPausaGmao;
	}

	public void setTiempoPausaGmao(Integer tiempoPausaGmao) {
		this.tiempoPausaGmao = tiempoPausaGmao;
	}

	public String getPausaAutoGmao() {
		return pausaAutoGmao;
	}

	public void setPausaAutoGmao(String pausaAutoGmao) {
		this.pausaAutoGmao = pausaAutoGmao;
	}

	public String getGuidpartepadreayuda() {
		return guidpartepadreayuda;
	}

	public void setGuidpartepadreayuda(String guidpartepadreayuda) {
		this.guidpartepadreayuda = guidpartepadreayuda;
	}

	public String getGuidparteseguido() {
		return guidparteseguido;
	}

	public void setGuidparteseguido(String guidparteseguido) {
		this.guidparteseguido = guidparteseguido;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idfichac: ").append(this.idfichac).append(" ]");
		result.append(", [ idficha: ").append(this.idficha).append(" ]");
		result.append(", [ idtecnico: ").append(this.idtecnico).append(" ]");
		result.append(", [ guidfichatecgmao: ").append(this.guidfichatecgmao)
				.append(" ]");
		result.append(", [ estadoGmao: ").append(this.estadoGmao).append(" ]");
		result.append(", [ fechaEstadoGmao: ").append(this.fechaEstadoGmao)
				.append(" ]");
		result.append(", [ tiempoPausaGmao: ").append(this.tiempoPausaGmao)
				.append(" ]");
		result.append(", [ pausaAutoGmao: ").append(this.pausaAutoGmao)
				.append(" ]");
		result.append(", [ guidpartepadreayuda: ")
				.append(this.guidpartepadreayuda).append(" ]");
		result.append(", [ guidparteseguido: ").append(this.guidparteseguido)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

}